Bullet Collision Detection & Physics Library: DeformableContactConstraint Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
DeformableContactConstraint Struct Reference

`#include <btCGProjection.h>`

Collaboration diagram for DeformableContactConstraint:
[legend]

## Public Member Functions
| DeformableContactConstraint (const btSoftBody::RContact &rcontact)
| DeformableContactConstraint ()
void | append (const btSoftBody::RContact &rcontact)
void | replace (const btSoftBody::RContact &rcontact)
| ~DeformableContactConstraint ()

## Public Attributes
const btSoftBody::Node * | m_node
btAlignedObjectArray< const btSoftBody::RContact * > | m_contact
btAlignedObjectArray< btVector3 > | m_total_normal_dv
btAlignedObjectArray< btVector3 > | m_total_tangent_dv
btAlignedObjectArray< bool > | m_static
btAlignedObjectArray< bool > | m_can_be_dynamic

## Detailed Description

Definition at line 23 of file btCGProjection.h.

## Constructor & Destructor Documentation

## ◆ DeformableContactConstraint() [1/2]

DeformableContactConstraint::DeformableContactConstraint | ( | const btSoftBody::RContact & | rcontact | ) |
| inline

Definition at line 32 of file btCGProjection.h.

## ◆ DeformableContactConstraint() [2/2]

DeformableContactConstraint::DeformableContactConstraint | ( |  | ) |
| inline

Definition at line 37 of file btCGProjection.h.

## ◆ ~DeformableContactConstraint()

DeformableContactConstraint::~DeformableContactConstraint | ( |  | ) |
| inline

Definition at line 61 of file btCGProjection.h.

## Member Function Documentation

## ◆ append()

void DeformableContactConstraint::append | ( | const btSoftBody::RContact & | rcontact | ) |
| inline

Definition at line 42 of file btCGProjection.h.

## ◆ replace()

void DeformableContactConstraint::replace | ( | const btSoftBody::RContact & | rcontact | ) |
| inline

Definition at line 51 of file btCGProjection.h.

## Member Data Documentation

## ◆ m_can_be_dynamic

btAlignedObjectArray<bool> DeformableContactConstraint::m_can_be_dynamic

Definition at line 30 of file btCGProjection.h.

## ◆ m_contact

btAlignedObjectArray<const btSoftBody::RContact*> DeformableContactConstraint::m_contact

Definition at line 26 of file btCGProjection.h.

## ◆ m_node

const btSoftBody::Node* DeformableContactConstraint::m_node

Definition at line 25 of file btCGProjection.h.

## ◆ m_static

btAlignedObjectArray<bool> DeformableContactConstraint::m_static

Definition at line 29 of file btCGProjection.h.

## ◆ m_total_normal_dv

btAlignedObjectArray<btVector3> DeformableContactConstraint::m_total_normal_dv

Definition at line 27 of file btCGProjection.h.

## ◆ m_total_tangent_dv

btAlignedObjectArray<btVector3> DeformableContactConstraint::m_total_tangent_dv

Definition at line 28 of file btCGProjection.h.

The documentation for this struct was generated from the following file:

- btCGProjection.h